/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class DetalleOfertaPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "oferta_codigo")
    private String ofertaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;

    public DetalleOfertaPK() {
    }

    public DetalleOfertaPK(String ofertaCodigo, String productoCodigo) {
        this.ofertaCodigo = ofertaCodigo;
        this.productoCodigo = productoCodigo;
    }

    public String getOfertaCodigo() {
        return ofertaCodigo;
    }

    public void setOfertaCodigo(String ofertaCodigo) {
        this.ofertaCodigo = ofertaCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ofertaCodigo != null ? ofertaCodigo.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleOfertaPK)) {
            return false;
        }
        DetalleOfertaPK other = (DetalleOfertaPK) object;
        if ((this.ofertaCodigo == null && other.ofertaCodigo != null) || (this.ofertaCodigo != null && !this.ofertaCodigo.equals(other.ofertaCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "dbCon.DetalleOfertaPK[ ofertaCodigo=" + ofertaCodigo + ", productoCodigo=" + productoCodigo + " ]";
    }

}
